Package com.collibra.catalog.api.component.classification.model.impl

# Class DataClassDataCategoryConnectionImpl

Object
EntityImpl
ResourceImpl
DataClassDataCategoryConnectionImpl

All Implemented Interfaces:
  `DataClassDataCategoryConnection`, `Entity`, `Resource`, `Serializable`

public class DataClassDataCategoryConnectionImpl extends ResourceImpl implements DataClassDataCategoryConnection

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `DataClassDataCategoryConnectionImpl.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataClassDataCategoryConnectionImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DataClassDataCategoryConnectionImpl.Builder`
  `builder()`
  `boolean`
  `equals(Object o)`
  `NamedResourceReference`
  `getDataCategory()`
  Returns the data category connected to the data class.
  `Classification`
  `getDataClass()`
  Returns the data class connected to the data category.
  `int`
  `hashCode()`
  `void`
  `setDataCategory(NamedResourceReference dataCategory)`
  `void`
  `setDataClass(Classification dataClass)`
  `String`
  `toString()`

  ### Methods inherited from class ResourceImpl

  `getCreatedBy, getCreatedOn, getLastModifiedBy, getLastModifiedOn, getResourceType, isSystem, setCreatedBy, setCreatedOn, setLastModifiedBy, setLastModifiedOn, setResourceType, setSystem`

  ### Methods inherited from class EntityImpl

  `getId, setId`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface Entity

  `getId, setId`

  ### Methods inherited from interface Resource

  `getCreatedBy, getCreatedOn, getLastModifiedBy, getLastModifiedOn, getResourceType, isSystem`

- ## Constructor Details

  - ### DataClassDataCategoryConnectionImpl

    public DataClassDataCategoryConnectionImpl()

- ## Method Details

  - ### getDataCategory

    public NamedResourceReference getDataCategory()
    Description copied from interface: `DataClassDataCategoryConnection`
    Returns the data category connected to the data class.
    Specified by:
      `getDataCategory` in interface `DataClassDataCategoryConnection`
    Returns:
      the linked data category

  - ### getDataClass

    public Classification getDataClass()
    Description copied from interface: `DataClassDataCategoryConnection`
    Returns the data class connected to the data category.
    Specified by:
      `getDataClass` in interface `DataClassDataCategoryConnection`
    Returns:
      the data class

  - ### setDataCategory

    public void setDataCategory(NamedResourceReference dataCategory)

  - ### setDataClass

    public void setDataClass(Classification dataClass)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `EntityImpl`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `EntityImpl`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `ResourceImpl`

  - ### builder

    public static DataClassDataCategoryConnectionImpl.Builder builder()